# Interface ModuleHashInfo

public sealed interface ModuleHashInfo
Models hash information for a single module in the `ModuleHashesAttribute`.

Since:
  24
See Also:
  - `ModuleHashesAttribute.hashes()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`hash()`
Returns the hash of the related module.
`ModuleEntry`
`moduleName()`
Returns the name of the related module.
`static ModuleHashInfo`
`of(ModuleEntry moduleName, byte[] hash)`
Returns a module hash description.
`static ModuleHashInfo`
`of(ModuleDesc moduleDesc, byte[] hash)`
Returns a module hash description.

## Method Details

### moduleName

ModuleEntry moduleName()
Returns the name of the related module.

Returns:
  the name of the related module

### hash

byte[] hash()
Returns the hash of the related module.

Returns:
  the hash of the related module

### of

static ModuleHashInfo of(ModuleEntry moduleName, byte[] hash)
Returns a module hash description.

Parameters:
  `moduleName` - the module name
  `hash` - the hash value
Returns:
  a module hash description

### of

static ModuleHashInfo of(ModuleDesc moduleDesc, byte[] hash)
Returns a module hash description.

Parameters:
  `moduleDesc` - the module name
  `hash` - the hash value
Returns:
  a module hash description